Subject: Re: [PATCH] tone down the detached head warning

From: Jakub Narebski <[email-masked]>
Date: Thu, 01 Feb 2007 01:14:20 +0100

Carl Worth wrote:

> So it does come around to the fact that I'd like it to be easier for a
> user to get all the configuration setup for a local branch that knows
> which remote-tracking branch its associated with, (and this whether or
> not the remote-tracking branch was configured as part of the original
> clone or not).
 
There is new (untested and not complete) command git-remote for that.

Although the fact that clone copies all branches and tags (I don't think
there is a way to clone only subset of branches), and that fetch is multi
branch might be deterrent enough (unless one use one branch per repo).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git